First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 23102
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Gentoo Linux bug wranglers <bug-wranglers@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Martin Gadbois <martin.gadbois@colubris.com>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 23102 depends on: Show dependency tree
Bug 23102 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2003-06-19 06:55 0000
When installing tiff in a different directory than / using
ROOT=/home/user/gentoo,  the installation fails (permission denied) or Sandbox
failures.

Reproducible: Always
Steps to Reproduce:
1. ROOT="somedir" emerge tiff



Actual Results:  
Permission denied, and/or sandbox access violation

Expected Results:  
Correct installation

The reason is that tiff's install.sh uses the ROOT variable. Found by Yannick
Koehler. See patch.
--- tiff-3.5.7-r1.ebuild.org	2003-06-19 09:36:58.000000000 +0000
+++ tiff-3.5.7-r1.ebuild	2003-06-19 09:37:14.000000000 +0000
@@ -30,7 +30,7 @@
 src_install() {
 	dodir /usr/{bin,lib,share/man,share/doc/${PF}/html}
 	dodir /usr/share/doc/${PF}/html
-	make INSTALL="/bin/sh ${S}/port/install.sh" install || die
+	make ROOT="" INSTALL="/bin/sh ${S}/port/install.sh" install || die
 	preplib /usr
 	dodoc COPYRIGHT README TODO VERSION
 }

------- Comment #1 From Mr. Bones. 2003-06-19 23:59:44 0000 -------
I could reproduce the problem so I went ahead and applied the patch.
Thanks for the bug report Martin.

This is fixed in CVS so I'll go ahead and close the bug.  Reopen if there's
a problem.

First Last Prev Next    No search results available      Search page      Enter new bug